// Conditional alert.
function cAlert (message) 
{
   if (!this.silent)
      alert(message);
}

// Conditional confirm.
function cConfirm (message) 
{
   if (this.silent)
      return true;
   else
      return confirm(message);
}

// Variable indicating whether or not installation should proceed.
bInstall = true;

// Make sure Java is enabled before doing anything else.
if ( !navigator.javaEnabled() ) 
{
   bInstall = false;
   cAlert ("Java must be enabled to install.");
}
// Make sure installation is attempted on correct machine architecture.
//else if ( navigator.platform.compareTo("Win32") != 0 ) 
//{
//   bInstall = false;
//   cAlert ("This plug-in only runs on Win32 platforms.");
//}
// Check user-interface language, if appropriate.
//else if ( navigator.languge.compareTo("en") != 0 ) 
//{
//   bInstall = cConfirm("Install anyway?");
//}

// If all conditions look good, proceed with the installation.
//if (bInstall) 
{
   // Create a version object and a software update object
   vi = new netscape.softupdate.VersionInfo(1, 0, 0, 5);
   su = new netscape.softupdate.SoftwareUpdate(this, "MediaShow Plug-in");

   // Start the install process
   err = su.StartInstall("plugins/MediaShow/", vi, netscape.softupdate.SoftwareUpdate.FULL_INSTALL);

   if (err == 0)
   {
      // Find the plug-ins directory on the user's machine
      PIFolder = su.GetFolder("Plugins");

      err = su.AddSubcomponent("MediaShow DLL", vi, "NPPresent.dll", PIFolder, "", this.force);
   }

   // Unless there was a problem, move files to final location and update the Client Version Registry
   if (err) 
   {
      cAlert ("Installation error. Aborting.");
      su.AbortInstall();
   }
   else 
   {
      err = su.FinalizeInstall();

      // Refresh list of available plug-ins
      if (err == 0)
         navigator.plugins.refresh(true);
      else if (err == 999) 
      {
         cAlert("You must reboot to finish this installation.");
         err = 0;
      }
      else
      {
         cAlert("Finalize error code = " + err);
      }
   }

   if (err != 0 )
      cAlert("Install encountered errors.");
}
